diff --git a/modules/mi_xmlrpc/Makefile b/modules/mi_xmlrpc/Makefile
index 07bb07d..c2c2cb6 100644
--- a/modules/mi_xmlrpc/Makefile
+++ b/modules/mi_xmlrpc/Makefile
@@ -42,8 +42,8 @@ ifeq ($(OLD),yes)
 else
 ifeq ($(NEW),yes)
 	# nothing to do
-else
-$(warning			You are using an unsupported libxmlrpc-c3 \
+#else
+#$(warning			You are using an unsupported libxmlrpc-c3 \
 					 version  ($(XMLRPC_VER)), compile at your own risk!)
 endif
 endif
diff --git a/modules/mi_xmlrpc/abyss_data.h b/modules/mi_xmlrpc/abyss_data.h
index 511c480..9a9ceaa 100644
--- a/modules/mi_xmlrpc/abyss_data.h
+++ b/modules/mi_xmlrpc/abyss_data.h
@@ -18,6 +18,8 @@ typedef struct
 	int size;
 } TString;
 
+abyss_bool StringAlloc(TString *s);
+void StringFree(TString *s);
 #endif
 
 /*********************************************************************
diff --git a/modules/mi_xmlrpc/abyss_response.c b/modules/mi_xmlrpc/abyss_response.c
index 77850e0..aebe8d2 100644
--- a/modules/mi_xmlrpc/abyss_response.c
+++ b/modules/mi_xmlrpc/abyss_response.c
@@ -583,6 +583,7 @@ MIMETypeGuessFromFile(const char * const fileName) {
 
                                   
 
+#ifdef XMLRPC_OLD_VERSION
 /*********************************************************************
 ** Base64
 *********************************************************************/
@@ -623,6 +624,7 @@ void Base64Encode(char *s,char *d)
     /* ...and zero-terminate it. */
     *p = '\0';
 }
+#endif
 
 /******************************************************************************
 **
diff --git a/modules/mi_xmlrpc/abyss_socket_unix.h b/modules/mi_xmlrpc/abyss_socket_unix.h
index 845a4fc..16159e2 100644
--- a/modules/mi_xmlrpc/abyss_socket_unix.h
+++ b/modules/mi_xmlrpc/abyss_socket_unix.h
@@ -7,4 +7,7 @@ SocketUnixInit(abyss_bool * const succeededP);
 void
 SocketUnixTerm(void);
 
+void
+SocketUnixCreate(TSocket ** const socketPP);
+
 #endif
diff --git a/modules/mi_xmlrpc/abyss_xmlrpc_server.c b/modules/mi_xmlrpc/abyss_xmlrpc_server.c
index 55aabf6..53e0ba0 100644
--- a/modules/mi_xmlrpc/abyss_xmlrpc_server.c
+++ b/modules/mi_xmlrpc/abyss_xmlrpc_server.c
@@ -943,7 +943,6 @@ uriPathParm(const xmlrpc_server_abyss_parms * const parmsP,
 
 #ifdef XMLRPC_OLD_VERSION
 static xmlrpc_server_shutdown_fn shutdownAbyss;
-#endif
 
 static void
 shutdownAbyss(xmlrpc_env * const envP,
@@ -969,7 +968,7 @@ shutdownAbyss(xmlrpc_env * const envP,
     
     ServerTerminate(serverP);
 }
-
+#endif
 
 
 static void
@@ -998,12 +997,12 @@ normalLevelAbyssRun(xmlrpc_env *                      const envP,
 
         ServerUseSigchld(&server);
         
-        if (0)
+        //if (0)
             /* Too much of a security risk.  In 1.07, there is a server
                parameter to enable this.
             */
-            xmlrpc_registry_set_shutdown(parmsP->registryP,
-                                         &shutdownAbyss, &server);
+        //    xmlrpc_registry_set_shutdown(parmsP->registryP,
+        //                                 &shutdownAbyss, &server);
         
         ServerRun(&server);
 
@@ -1029,7 +1028,7 @@ xmlrpc_server_abyss(xmlrpc_env *                      const envP,
         xmlrpc_faultf(envP,
                       "You must specify members at least up through "
                       "'registryP' in the server parameters argument.  "
-                      "That would mean the parameter size would be >= %lu "
+                      "That would mean the parameter size would be >= %u "
                       "but you specified a size of %u",
                       XMLRPC_APSIZE(registryP), parmSize);
     else {
